XnLinkedNodeDefaultAllocatorT< T > Class Template Reference

`#include <XnListT.h>`

## Public Types

typedef XnLinkedNodeT< T > | LinkedNode

## Static Public Member Functions

static LinkedNode * | Allocate (T const &value)
static void | Deallocate (LinkedNode *pNode)

## Detailed Description

template<class T>
class XnLinkedNodeDefaultAllocatorT< T >

A default allocator for nodes in the linked list. The default allocator calls 'new' for allocating new nodes and 'delete' for deallocating them.

For information on how to use allocator, see XnListT.

Template Parameters

  T | the type of value in the list.

## Member Typedef Documentation

## LinkedNode

template<class T>

typedef XnLinkedNodeT<T> XnLinkedNodeDefaultAllocatorT< T >::LinkedNode

## Member Function Documentation

## Allocate()

template<class T>

LinkedNode * XnLinkedNodeDefaultAllocatorT< T >::Allocate | ( | T const & | value | ) |

inline static

## Deallocate()

template<class T>

void XnLinkedNodeDefaultAllocatorT< T >::Deallocate | ( | LinkedNode * | pNode | ) |

inline static

The documentation for this class was generated from the following file:

- XnListT.h